Type profile data collected during runtime for a JavaScript script.

experimental

### Hierarchy

- ScriptTypeProfile

## Index

### Properties

- entries
- scriptId
- url

## Properties

### entries

entries: TypeProfileEntry[]

- Defined in node_modules/@types/node/inspector.d.ts:1040

Type profile entries for parameters and return values of the functions in the script.

### scriptId

scriptId: ScriptId

- Defined in node_modules/@types/node/inspector.d.ts:1032

JavaScript script id.

### url

url: string

- Defined in node_modules/@types/node/inspector.d.ts:1036

JavaScript script name or url.

Generated using TypeDoc